import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import "main.dart";
class CardDateTime extends StatefulWidget {
  const CardDateTime({super.key});

  @override
  State<CardDateTime> createState() => _CardDateTimeState();
}

class _CardDateTimeState extends State<CardDateTime> {
  //set state
  @override
  Widget build(BuildContext context) {
    context:
    context;
    final size = MediaQuery.of(context).size;
    return Card(
        child: Column(children: <Widget>[
          ListTile(
            title: Text(context.sp.ladeDatumZeit),
            //subtitle: Text(subheading),
            //trailing: Icon(Icons.favorite_outline),
          ),
          SizedBox(
            height: size.height * 0.25,
            child: CupertinoDatePicker(
              use24hFormat: true,
              mode: CupertinoDatePickerMode.dateAndTime,
              // initialDateTime: _selectedDate,
              onDateTimeChanged: (DateTime newDate) {
                setState(() {});
              },
            ),
          ),
        ]
        )
    );
    // ),


  }
}
